package com.cim.idm.wmspackage.material.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.HistoryDataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialSpecHistory extends FieldAccessor implements HistoryDataInfo<MaterialSpecHistoryKey>{
	
	private MaterialSpecHistoryKey key;
	
	private String eventName;
	private Timestamp eventTime;
	private String eventUser;
	private String eventComment;
	
	private String description;
	private String checkState;
	private Timestamp createTime;
	private String createUser;
	private Timestamp checkoutTime;
	private String checkoutUser;
	
	private String desc_cn;
	private String desc_en;
	private String materialType;
	private String materialGroup;
	private String materialGroupDescription;
	private String materialUnit;
	
	private String expirationDateFlag;
	private int expirationDay;
	private int stockinEffectiveDay;
	private String erpLocation;
	private double materialWeight;
	
	private String inspectA;
	private String inspectP;
	private String inspectV;
	private String erpFactoryName;
	@UserColumnMark
	private String materialSpecType;
	
	public String getMaterialSpecType() {
		return materialSpecType;
	}
	public void setMaterialSpecType(String materialSpecType) {
		this.materialSpecType = materialSpecType;
	}
	public String getErpFactoryName() {
		return erpFactoryName;
	}
	public void setErpFactoryName(String erpFactoryName) {
		this.erpFactoryName = erpFactoryName;
	}
	
	public String getInspectA() {
		return inspectA;
	}
	public void setInspectA(String inspectA) {
		this.inspectA = inspectA;
	}
	public String getInspectP() {
		return inspectP;
	}
	public void setInspectP(String inspectP) {
		this.inspectP = inspectP;
	}
	public String getInspectV() {
		return inspectV;
	}
	public void setInspectV(String inspectV) {
		this.inspectV = inspectV;
	}
	
	@Override
	public MaterialSpecHistoryKey getKey() {
		return key;
	}
	@Override
	public void setKey(MaterialSpecHistoryKey keyInfo) {
		this.key=keyInfo;
	}
	
	public String getEventUser() {
		return eventUser;
	}
	public void setEventUser(String eventUser) {
		this.eventUser = eventUser;
	}
	public String getEventName() {
		return eventName;
	}
	public void setEventName(String eventName) {
		this.eventName = eventName;
	}
	public Timestamp getEventTime() {
		return eventTime;
	}
	public void setEventTime(Timestamp eventTime) {
		this.eventTime = eventTime;
	}
	public String getEventComment() {
		return eventComment;
	}
	public void setEventComment(String eventComment) {
		this.eventComment = eventComment;
	}
	public String getMaterialType() {
		return materialType;
	}
	public void setMaterialType(String materialType) {
		this.materialType = materialType;
	}

	public String getMaterialGroup() {
		return materialGroup;
	}
	public void setMaterialGroup(String materialGroup) {
		this.materialGroup = materialGroup;
	}

	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getCheckState() {
		return checkState;
	}
	public void setCheckState(String checkState) {
		this.checkState = checkState;
	}
	public Timestamp getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}
	public String getCreateUser() {
		return createUser;
	}
	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}
	public Timestamp getCheckoutTime() {
		return checkoutTime;
	}
	public void setCheckoutTime(Timestamp checkoutTime) {
		this.checkoutTime = checkoutTime;
	}
	public String getCheckoutUser() {
		return checkoutUser;
	}
	public void setCheckoutUser(String checkoutUser) {
		this.checkoutUser = checkoutUser;
	}
	public String getDesc_cn() {
		return desc_cn;
	}
	public void setDesc_cn(String desc_cn) {
		this.desc_cn = desc_cn;
	}
	public String getDesc_en() {
		return desc_en;
	}
	public void setDesc_en(String desc_en) {
		this.desc_en = desc_en;
	}
	public String getMaterialGroupDescription() {
		return materialGroupDescription;
	}
	public void setMaterialGroupDescription(String materialGroupDescription) {
		this.materialGroupDescription = materialGroupDescription;
	}

	public String getMaterialUnit() {
		return materialUnit;
	}
	public void setMaterialUnit(String materialUnit) {
		this.materialUnit = materialUnit;
	}
	public String getExpirationDateFlag() {
		return expirationDateFlag;
	}
	public void setExpirationDateFlag(String expirationDateFlag) {
		this.expirationDateFlag = expirationDateFlag;
	}
	public int getExpirationDay() {
		return expirationDay;
	}
	public void setExpirationDay(int expirationDay) {
		this.expirationDay = expirationDay;
	}
	public int getStockinEffectiveDay() {
		return stockinEffectiveDay;
	}
	public void setStockinEffectiveDay(int stockinEffectiveDay) {
		this.stockinEffectiveDay = stockinEffectiveDay;
	}
	public String getErpLocation() {
		return erpLocation;
	}
	public void setErpLocation(String erpLocation) {
		this.erpLocation = erpLocation;
	}
	public double getMaterialWeight() {
		return materialWeight;
	}
	public void setMaterialWeight(double materialWeight) {
		this.materialWeight = materialWeight;
	}
	
	
}
